#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

#import "SchemeTypes.h"

@interface EnvWindow : NSWindow
{
    int current;
    int length;

    id *names;
    id *values;

    NSScrollView *scrollView;
    NSTableView *table;
}

- initWithEnv:(Environment *)env;

- up:(id)sender;
- down:(id)sender;

- (int)numberOfRowsInTableView:(NSTableView *)aTableView;
-            (id)tableView:(NSTableView *)aTableView 
 objectValueForTableColumn:(NSTableColumn *)aTableColumn 
                       row:(int)rowIndex;


- (void)dealloc;

@end

