
#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

#import "VScheme.h"

@interface NSTextView (Misc)

- placeCursorAtEnd;
- selectLineAtPos:(int)pos;

@end

@interface SCMTextView : NSTextView

- (void)insertText:(id)aString;

@end

@interface SCMInteractive : SCMTextView
{
    int lastRetrieved;
}

- (id)initWithFrame:(NSRect)frameRect;

- (void)insertText:(id)aString;
- (void)paste:(id)sender;


- (NSString *)getSuffix;
- (void)setString:(NSString *)aString;
- (void)appendString:(NSString *)aString;

- (void)keyDown:(NSEvent *)theEvent;

@end

